
Application: gvSIG desktop - gvSIG bugs #2648
Falla al exportar a shape una capa con geometrias a null.
07/08/2014 07:54 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.1.0-2238-testing
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si cargamos de una capa de BBDD que tiene valores a null en el campo de geomtria, al intentar exportarla a shape falla.

El mensaje que ofrece al usuario es criptico y no le aporta ninguna pista sobre el error.

History
#1 - 07/08/2014 07:56 PM - Joaquín  del Cerro Murciano

Se ha añadido al script de validacion de capas que tenga en cuenta que puede encontrarse geometrias a null y que informe de ello en lugar de
provocar un error.

r41521

#2 - 07/08/2014 07:57 PM - Joaquín  del Cerro Murciano

Añadidas comprobaciones en el proveedor de shape para intentar ser tolerante a geometrias a null.

r41522

#3 - 07/21/2014 10:30 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2238-testing

#4 - 07/21/2014 10:51 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 07/22/2014 07:18 AM - Álvaro Anguix
- Status changed from Fixed to Closed
